|
|
f96e0b |
From 94e54563a91a631e83b4e504adec11c8841d8860 Mon Sep 17 00:00:00 2001
|
|
|
f96e0b |
From: Vladimir 'phcoder' Serbinenko <phcoder@gmail.com>
|
|
|
f96e0b |
Date: Fri, 26 Apr 2013 19:09:55 +0200
|
|
|
f96e0b |
Subject: [PATCH 356/482] * tests/pseries_test.in: New test.
|
|
|
f96e0b |
|
|
|
f96e0b |
---
|
|
|
f96e0b |
ChangeLog | 4 ++++
|
|
|
f96e0b |
tests/pseries_test.in | 37 +++++++++++++++++++++++++++++++++++++
|
|
|
f96e0b |
2 files changed, 41 insertions(+)
|
|
|
f96e0b |
create mode 100644 tests/pseries_test.in
|
|
|
f96e0b |
|
|
|
f96e0b |
diff --git a/ChangeLog b/ChangeLog
|
|
|
f96e0b |
index 19a1cf6..5ddb7a8 100644
|
|
|
f96e0b |
--- a/ChangeLog
|
|
|
f96e0b |
+++ b/ChangeLog
|
|
|
f96e0b |
@@ -1,5 +1,9 @@
|
|
|
f96e0b |
2013-04-26 Vladimir Serbinenko <phcoder@gmail.com>
|
|
|
f96e0b |
|
|
|
f96e0b |
+ * tests/pseries_test.in: New test.
|
|
|
f96e0b |
+
|
|
|
f96e0b |
+2013-04-26 Vladimir Serbinenko <phcoder@gmail.com>
|
|
|
f96e0b |
+
|
|
|
f96e0b |
Add test to check that different boot mediums work.
|
|
|
f96e0b |
|
|
|
f96e0b |
2013-04-26 Vladimir Serbinenko <phcoder@gmail.com>
|
|
|
f96e0b |
diff --git a/tests/pseries_test.in b/tests/pseries_test.in
|
|
|
f96e0b |
new file mode 100644
|
|
|
f96e0b |
index 0000000..86a396a
|
|
|
f96e0b |
--- /dev/null
|
|
|
f96e0b |
+++ b/tests/pseries_test.in
|
|
|
f96e0b |
@@ -0,0 +1,37 @@
|
|
|
f96e0b |
+#! /bin/sh
|
|
|
f96e0b |
+# Copyright (C) 2013 Free Software Foundation, Inc.
|
|
|
f96e0b |
+#
|
|
|
f96e0b |
+# GRUB is free software: you can redistribute it and/or modify
|
|
|
f96e0b |
+# it under the terms of the GNU General Public License as published by
|
|
|
f96e0b |
+# the Free Software Foundation, either version 3 of the License, or
|
|
|
f96e0b |
+# (at your option) any later version.
|
|
|
f96e0b |
+#
|
|
|
f96e0b |
+# GRUB is distributed in the hope that it will be useful,
|
|
|
f96e0b |
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
|
|
|
f96e0b |
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
|
|
|
f96e0b |
+# GNU General Public License for more details.
|
|
|
f96e0b |
+#
|
|
|
f96e0b |
+# You should have received a copy of the GNU General Public License
|
|
|
f96e0b |
+# along with GRUB. If not, see <http://www.gnu.org/licenses/>.
|
|
|
f96e0b |
+
|
|
|
f96e0b |
+set -e
|
|
|
f96e0b |
+grubshell=@builddir@/grub-shell
|
|
|
f96e0b |
+
|
|
|
f96e0b |
+. "@builddir@/grub-core/modinfo.sh"
|
|
|
f96e0b |
+
|
|
|
f96e0b |
+if [ "${grub_modinfo_target_cpu}-${grub_modinfo_platform}" != powerpc-ieee1275 ]; then
|
|
|
f96e0b |
+ exit 0
|
|
|
f96e0b |
+fi
|
|
|
f96e0b |
+
|
|
|
f96e0b |
+if [ "$(echo hello | "${grubshell}" --pseries --timeout 180 --boot=cd)" != "Hello World" ]; then
|
|
|
f96e0b |
+ exit 1
|
|
|
f96e0b |
+fi
|
|
|
f96e0b |
+
|
|
|
f96e0b |
+if [ "$(echo hello | "${grubshell}" --pseries --timeout 180 --boot=hd)" != "Hello World" ]; then
|
|
|
f96e0b |
+ exit 1
|
|
|
f96e0b |
+fi
|
|
|
f96e0b |
+
|
|
|
f96e0b |
+# FIXME: workaround SLOF bugs
|
|
|
f96e0b |
+#if [ "$(echo hello | "${grubshell}" --pseries --timeout 180 --boot=net)" != "Hello World" ]; then
|
|
|
f96e0b |
+# exit 1
|
|
|
f96e0b |
+#fi
|
|
|
f96e0b |
--
|
|
|
f96e0b |
1.8.2.1
|
|
|
f96e0b |
|